=== debian/changelog ===
flang (20181226-2) unstable; urgency=medium

  * Patch for kfreebsd to match llvm-7-dev changes
  * mv flang -> flang-7 and add symlink
  * Update README.Debian

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Feb 2019 09:21:29 +0000

flang (20181226-1) unstable; urgency=medium

  * New upstream release. Closes: #909463
   - Add flang-driver/LICENSE.txt to d/copyright
   - patch needed for libpgmath CMPLX collision with g++
  * Two stage Build: first stage with gfortran
      second stage with flang
  * Add $fmoddir to standard include path
  * Place system mod files in $fmoddir
  * Standards-Version: 4.3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 23 Jan 2019 00:18:12 +0000

flang (20180921-1) unstable; urgency=medium

  * Initial release. 
    This build has OpenMP and IEEE exceptions support,
    LLVMPolly support disabled

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Dec 2018 13:50:03 +0000
